%define modname psycopg2
Name:           python-%{modname}
URL:            http://initd.org/projects/psycopg1
Summary:        A PostgreSQL database adapter for Python
Version:        2.0.6
Release:        3.1
License:        GPL
Group:          Development/Libraries/Python
Source:         %{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
%{py_requires}
BuildRequires:  python-devel postgresql-devel

%description
psycopg is a PostgreSQL database adapter for the Python programming language.
This is version 2, a complete rewrite of the original code to provide
new-style classes for connection and cursor objects and other sweet candies.
Like the original, psycopg 2 was written with the aim of being very small and
fast, and stable as a rock.

psycopg is different from the other database adapter because it was designed
for heavily multi-threaded applications that create and destroy lots of
cursors and make a conspicuous number of concurrent INSERTs or UPDATEs.
psycopg 2 also provide full asycronous operations for the really brave
programmer.

Authors:
--------
    Federico Di Gregorio <fog@initd.org>

%prep
%setup -q -n %{modname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc doc examples AUTHORS ChangeLog PKG-INFO README

%changelog
* Wed Nov  5 2008 poeml@suse.de
- use --record-rpm as setup option, not --record. The latter didn't
  pick up all files on Factory.
* Wed Jun 13 2007 judas_iscariote@shorewall.net
- Update to version 2.0.6 see http://initd.org/pub/software/psycopg/ChangeLog
  for details.
